Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.muc
Interface MUCEventListener

    public interface MUCEventListener

Interface to listen for MUC events. Use the `MultiUserChatServer.addListener(MUCEventListener)` method to register for events.

Author:
  Gaston Dombiak

Method Summary
`void` | `messageReceived(JID roomJID, JID user, String nickname, Message message)` Event triggered when a room occupant sent a message to a room.
`void` | `nicknameChanged(JID roomJID, JID user, String oldNickname, String newNickname)` Event triggered when an occupant changed his nickname in a room.
`void` | `occupantJoined(JID roomJID, JID user, String nickname)` Event triggered when a new occupant joins a room.
`void` | `occupantLeft(JID roomJID, JID user)` Event triggered when an occupant left a room.
`void` | `roomCreated(JID roomJID)` Event triggered when a new room was created.
`void` | `roomDestroyed(JID roomJID)` Event triggered when a room was destroyed.

Method Detail

### roomCreated

    void roomCreated(JID roomJID)

  Event triggered when a new room was created.

  Parameters:
    `roomJID` - JID of the room that was created.

### roomDestroyed

    void roomDestroyed(JID roomJID)

  Event triggered when a room was destroyed.

  Parameters:
    `roomJID` - JID of the room that was destroyed.

### occupantJoined

    void occupantJoined(JID roomJID,
                        JID user,
                        String nickname)

  Event triggered when a new occupant joins a room.

  Parameters:
    `roomJID` - the JID of the room where the occupant has joined.
    `user` - the JID of the user joining the room.
    `nickname` - nickname of the user in the room.

### occupantLeft

    void occupantLeft(JID roomJID,
                      JID user)

  Event triggered when an occupant left a room.

  Parameters:
    `roomJID` - the JID of the room where the occupant has left.
    `user` - the JID of the user leaving the room.

### nicknameChanged

    void nicknameChanged(JID roomJID,
                         JID user,
                         String oldNickname,
                         String newNickname)

  Event triggered when an occupant changed his nickname in a room.

  Parameters:
    `roomJID` - the JID of the room where the user changed his nickname.
    `user` - the JID of the user that changed his nickname.
    `oldNickname` - old nickname of the user in the room.
    `newNickname` - new nickname of the user in the room.

### messageReceived

    void messageReceived(JID roomJID,
                         JID user,
                         String nickname,
                         Message message)

  Event triggered when a room occupant sent a message to a room.

  Parameters:
    `roomJID` - the JID of the room that received the message.
    `user` - the JID of the user that sent the message.
    `nickname` - nickname used by the user when sending the message.
    `message` - the message sent by the room occupant.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.